thrift-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Antoine Cœur (JIRA) <j...@apache.org>
Subject [jira] [Updated] (THRIFT-4902) Swift compatibility with Swift 4.2, 5.0 and 5.1
Date Mon, 08 Jul 2019 12:31:00 GMT

     [ https://issues.apache.org/jira/browse/THRIFT-4902?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Antoine Cœur updated THRIFT-4902:
---------------------------------
    Description: 
It was reported on Stack Overflow ([https://stackoverflow.com/questions/56841613/how-to-import-thrift-0-12-into-xcode-to-support-swift-4-2])
that Thrift doesn't work on Swift 4.2. I was able to confirm that issue, so I made a pull
request to solve the problem: [https://github.com/apache/thrift/pull/1827]

The pull request keeps compatibility with Swift 3 (which is deprecated and won't be usable
at all on macOS Catalina), and adds support to Swift 4.0, 4.2, 5.0 and 5.1.

Related: THRIFT-4547.

 

  was:
It was reported on Stack Overflow ([https://stackoverflow.com/questions/56841613/how-to-import-thrift-0-12-into-xcode-to-support-swift-4-2])
that Thrift doesn't work on Swift 4.2. I was able to confirmed that issue, so I made a pull
request to solve the problem: [https://github.com/apache/thrift/pull/1827]

The pull request keeps compatibility with Swift 3 (which is deprecated and won't be usable
at all on macOS Catalina), and adds support to Swift 4.0, 4.2, 5.0 and 5.1.

Related: THRIFT-4547.

 


> Swift compatibility with Swift 4.2, 5.0 and 5.1
> -----------------------------------------------
>
>                 Key: THRIFT-4902
>                 URL: https://issues.apache.org/jira/browse/THRIFT-4902
>             Project: Thrift
>          Issue Type: Improvement
>          Components: Swift - Library
>            Reporter: Antoine Cœur
>            Assignee: James E. King III
>            Priority: Minor
>             Fix For: 0.13.0
>
>          Time Spent: 10m
>  Remaining Estimate: 0h
>
> It was reported on Stack Overflow ([https://stackoverflow.com/questions/56841613/how-to-import-thrift-0-12-into-xcode-to-support-swift-4-2])
that Thrift doesn't work on Swift 4.2. I was able to confirm that issue, so I made a pull
request to solve the problem: [https://github.com/apache/thrift/pull/1827]
> The pull request keeps compatibility with Swift 3 (which is deprecated and won't be usable
at all on macOS Catalina), and adds support to Swift 4.0, 4.2, 5.0 and 5.1.
> Related: THRIFT-4547.
>  



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message